package com.ss.android.ugc.aweme.live.alphaplayer.controller;

import X.0C7;
import X.0CB;
import X.0CH;
import X.0CL;
import com.bytedance.covode.number.Covode;

public class PlayerController_LifecycleAdapter implements 0C7 {
    public final PlayerController LIZ;

    static {
        Covode.recordClassIndex(91059);
    }

    public PlayerController_LifecycleAdapter(PlayerController playerController) {
        this.LIZ = playerController;
    }

    public final void LIZ(0CH r4, 0CB r5, boolean z, 0CL r7) {
        boolean z2;
        if (r7 != null) {
            z2 = true;
        } else {
            z2 = false;
        }
        if (!z) {
            if (r5 == 0CB.ON_PAUSE) {
                if (!z2 || r7.LIZ("onPause", 1)) {
                    this.LIZ.onPause();
                }
            } else if (r5 == 0CB.ON_RESUME) {
                if (!z2 || r7.LIZ("onResume", 1)) {
                    this.LIZ.onResume();
                }
            } else if (r5 == 0CB.ON_STOP) {
                if (!z2 || r7.LIZ("onStop", 1)) {
                    this.LIZ.onStop();
                }
            } else if (r5 != 0CB.ON_DESTROY) {
            } else {
                if (!z2 || r7.LIZ("onDestroy", 1)) {
                    this.LIZ.onDestroy();
                }
            }
        }
    }
}
